List a Room's goals
GET
A Room's goals you can see (active unless status says otherwise), each with progress: its tasks in this Room you can see, and how many are done.
header
AuthorizationBearer <token>A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.
room_id*stringMatch
^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$status?stringValue in
"active""completed""canceled"SMB-Workspace-Id*stringWorkspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidSuccessful authorized response.
application/json- response
goals*array<>request_id*stringcurl -X GET 'https://example.com/v1/rooms/string/goals' \ -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "goals": [ { "goal_id": "string", "room_id": "string", "title": "string", "status": "active", "due_on": "string", "progress": { "done": -9007199254740991, "total": -9007199254740991 }, "revision": -9007199254740991 } ], "request_id": "string"}